<?php
session_start();
include('config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

include($rutaPhp.$rutaHtml.'/acceso/control.php');
include($rutaPhp.$rutaHtml.'/maqueta/arriba.php');

//WSInventarioSGA#Empresa#Usuario#Proceso#Parametros

$peticion='WSInventarioSGA#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#LISTADOABIERTOS#'.$_SESSION['almacen'];
$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
    
if($_GET['traza']=='si') {
	echo "<p>".$peticion."</p>";
	print_r($resultado);
}

$_SESSION['inventariosSGAlistado']=array();
foreach($resultado as $inventario) $_SESSION['inventariosSGAlistado'][]=$inventario;

if(!$resultado['Error'] && count($_SESSION['inventariosSGAlistado'])>0) {

	?>
	<h2>Seleccionar Inventario</h2>
	
	<form id="formularioInventario" name="formularioInventario" method="post" action="inventario-sga.php">
		<p>Inventario:<br />
		<select name="inventario" id="inventario" class="campo">
		<?php
		if(count($_SESSION['inventariosSGAlistado'])>1) { 
			?><option value="" <?php if(!$_SESSION['inventario']) { ?>selected<?php } ?>>---</option><?php
		}
		foreach($_SESSION['inventariosSGAlistado'] as $inventario) {
		
			//$indice=$inventario['Inventario'].'#'.$inventario['Descripcion'].'#'.$inventario['Cliente'].'#'.$inventario['ClienteDescripcion'].'#'.$inventario['Regimenes'];
			$indice=$inventario['Inventario']
		
			?><option value="<?php echo $indice; ?>"><?php echo $inventario['Inventario']; ?> - <?php echo $inventario['Descripcion'];  ?></option><?php
		}
		?>
		</select>
		</p>
		<p><input type="submit" name="boton" id="boton" value="Confirmar" class="mostrarCargando boton"/></p>
	</form>
	<?php

}
else {
	?><p>No hay ningún inventario en el sistema.</p><?php
}
include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>
